org.eclipse.oomph.setup.impl

## Class CatalogSelectionImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.setup.impl.CatalogSelectionImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, ModelElement, CatalogSelection

      public class CatalogSelectionImpl
      extends ModelElementImpl
      implements CatalogSelection

  An implementation of the model object 'Catalog Selection'.

  The following features are implemented:

  - `Product Catalogs`
  - `Project Catalogs`
  - `Default Product Versions`
  - `Default Streams`
  - `Selected Streams`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EMap<Product,ProductVersion>` | `defaultProductVersions` The cached value of the '`Default Product Versions`' map.
    `protected EMap<Project,Stream>` | `defaultStreams` The cached value of the '`Default Streams`' map.
    `protected EList<ProductCatalog>` | `productCatalogs` The cached value of the '`Product Catalogs`' reference list.
    `protected EList<ProjectCatalog>` | `projectCatalogs` The cached value of the '`Project Catalogs`' reference list.
    `protected EList<Stream>` | `selectedStreams`

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CatalogSelectionImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `EMap<Product,ProductVersion>` | `getDefaultProductVersions()`
    `EMap<Project,Stream>` | `getDefaultStreams()`
    `EList<ProductCatalog>` | `getProductCatalogs()`
    `EList<ProjectCatalog>` | `getProjectCatalogs()`
    `EList<Stream>` | `getSelectedStreams()`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInverseAdd, eInvoke, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### productCatalogs

          protected EList<ProductCatalog> productCatalogs

      The cached value of the '`Product Catalogs`' reference list.
      See Also:
        `getProductCatalogs()`
      Generated
      Ordered

    - #### projectCatalogs

          protected EList<ProjectCatalog> projectCatalogs

      The cached value of the '`Project Catalogs`' reference list.
      See Also:
        `getProjectCatalogs()`
      Generated
      Ordered

    - #### defaultProductVersions

          protected EMap<Product,ProductVersion> defaultProductVersions

      The cached value of the '`Default Product Versions`' map.
      See Also:
        `getDefaultProductVersions()`
      Generated
      Ordered

    - #### defaultStreams

          protected EMap<Project,Stream> defaultStreams

      The cached value of the '`Default Streams`' map.
      See Also:
        `getDefaultStreams()`
      Generated
      Ordered

    - #### selectedStreams

          protected EList<Stream> selectedStreams

  - ### Constructor Detail

    - #### CatalogSelectionImpl

          protected CatalogSelectionImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `ModelElementImpl`
      Generated

    - #### getProductCatalogs

          public EList<ProductCatalog> getProductCatalogs()

      Specified by:
        `getProductCatalogs` in interface `CatalogSelection`
      Returns:
        the value of the 'Product Catalogs' reference list.
      See Also:
        `SetupPackage.getCatalogSelection_ProductCatalogs()`
      Generated

    - #### getProjectCatalogs

          public EList<ProjectCatalog> getProjectCatalogs()

      Specified by:
        `getProjectCatalogs` in interface `CatalogSelection`
      Returns:
        the value of the 'Project Catalogs' reference list.
      See Also:
        `SetupPackage.getCatalogSelection_ProjectCatalogs()`
      Generated

    - #### getDefaultProductVersions

          public EMap<Product,ProductVersion> getDefaultProductVersions()

      Specified by:
        `getDefaultProductVersions` in interface `CatalogSelection`
      Returns:
        the value of the 'Default Product Versions' map.
      See Also:
        `SetupPackage.getCatalogSelection_DefaultProductVersions()`
      Generated

    - #### getDefaultStreams

          public EMap<Project,Stream> getDefaultStreams()

      Specified by:
        `getDefaultStreams` in interface `CatalogSelection`
      Returns:
        the value of the 'Default Streams' map.
      See Also:
        `SetupPackage.getCatalogSelection_DefaultStreams()`
      Generated

    - #### getSelectedStreams

          public EList<Stream> getSelectedStreams()

      Specified by:
        `getSelectedStreams` in interface `CatalogSelection`
      Returns:
        the value of the 'Selected Streams' reference list.
      See Also:
        `SetupPackage.getCatalogSelection_SelectedStreams()`
      Generated
        NOT

    - #### eInverseRemove

          public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `ModelElementImpl`
      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `ModelElementImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `ModelElementImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `ModelElementImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `ModelElementImpl`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html